Subject: bug#49505: 28.0.50; Multiple launchers in GNOME

From: Tim Ruffing <[email-masked]>
Date: Tue, 24 May 2022 16:10:38 +0200

Thanks for the comments.

On Tue, 2022-05-24 at 21:39 +0800, Po Lu wrote:
> We can have fine-grained control over WM_CLASS (despite whatever the
> toolkit does), since Emacs can use X Windows requests to directly set
> the WM_CLASS property, but changing that for individual frames based
> on
> how they were created sounds excessive to me.

Note that we wouldn't need to do it for individual frames. If emacs was
started in non-daemon mode, we would use some string X for all its
frames, and if emacs was started in daemon mode, we would use some
string Y for all its frames. 

But as I said, I also prefer the approach that has only a single
.desktop file, so we wouldn't need to bother with this at all.

Best,
Tim